Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class PathFactory

    java.lang.Object
      org.gradle.plugins.ide.idea.model.PathFactory

    class PathFactory

Method Summary
`PathFactory` | `addPathVariable(String name, File dir)`
`FilePath` | `path(File file)` Creates a path for the given file.
`Path` | `path(String url)` Creates a path for the given URL.
`Path` | `path(String url, String relPath)` Creates a path for the given URL.
`FilePath` | `relativePath(String pathVar, File file)` Creates a path relative to the given path variable.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addPathVariable

    PathFactory addPathVariable(String name, File dir)

### path

    FilePath path(File file)

  Creates a path for the given file.

### path

    Path path(String url)

  Creates a path for the given URL.

### path

    Path path(String url, String relPath)

  Creates a path for the given URL.

### relativePath

    FilePath relativePath(String pathVar, File file)

  Creates a path relative to the given path variable.

Gradle API 1.1-rc-1